Subject: Re: Error 'netif_napi_add_weight() called with weight 256'

From: Jakub Kicinski <[email-masked]>
Date: Mon, 31 Jul 2023 11:13:30 -0700

On Mon, 31 Jul 2023 11:02:40 -0500 Limonciello, Mario wrote:
> Hi,
> 
> I noticed today with 6.5-rc4 and also on 6.1.42 that I'm getting an 
> error from an r8152 based dongle (Framework ethernet expansion card).
> 
> netif_napi_add_weight() called with weight 256
> 
> It seems that this message is likely introduced by
> 8ded532cd1cbe ("r8152: switch to netif_napi_add_weight()")
> 
> which if the card has support_2500full set will program the value to 256:
> 
> 	netif_napi_add_weight(netdev, &tp->napi, r8152_poll,
> 			      tp->support_2500full ? 256 : 64);
> 
> It's err level from
> 82dc3c63c692b ("net: introduce NAPI_POLL_WEIGHT")
> 
> Why is this considered an error but the driver uses the bigger value?
> Should it be downgraded to a warning?

Could you double check that the warning wasn't there before? The code
added by commit 195aae321c82 ("r8152: support new chips") in 5.13 looks
very much equivalent.
The custom weight is probably due to a misunderstanding. We have 200G
adapters using the standard weight of 64, IDK why 2.5G adapter would
need anything special.